import subprocess
import sys
import time

def run_script(script_name):
    command = f"py {script_name}"
    subprocess.run(command, shell=True, check=True)

def main():
    if len(sys.argv) != 2:
        print("Usage: python convert.py <midifile.mid>")
        return
    
    midi_file = sys.argv[1]
    
    # Run midi2.py with the MIDI file parameter
    run_script(f"midi0.py {midi_file}")
    time.sleep(1)  # Add a delay of 1 second
    
    # Run the remaining scripts
    run_script("durations.py")
    time.sleep(1)  # Add a delay of 1 second
    
    run_script("noteons.py")
    time.sleep(1)  # Add a delay of 1 second
    
    run_script("dur2orb.py")
    time.sleep(1)  # Add a delay of 1 second
    
    run_script("rawtostring.py")
    time.sleep(1)  # Add a delay of 1 second
    
    # Run decodeblocks.py
    run_script("decodeblocks.py")
    time.sleep(1)  # Add a delay of 1 second

    # Generate loopData entry
    run_script("generate_loopdata.py")

if __name__ == "__main__":
    main()
