def reverse_calculate_duration(duration):
    if duration >= 32768:
        return -1, 0
    dur_ticks_lsb = duration & 255
    dur_ticks_msb = duration >> 8
    return dur_ticks_lsb, dur_ticks_msb

def reverse_calculate_rel_time(rel_time):
    if rel_time >= 32768:
        return -1, 0
    start_ticks_lsb = rel_time & 255
    start_ticks_msb = rel_time >> 8
    return start_ticks_lsb, start_ticks_msb

def convert_to_orba_format(durations_file):
    orba_data = []

    with open(durations_file, 'r') as file:
        for line in file:
            note, velocity, rel_time, abs_time, duration = map(int, line.strip().split(','))

            start_ticks_lsb, start_ticks_msb = reverse_calculate_rel_time(rel_time)
            dur_ticks_lsb, dur_ticks_msb = reverse_calculate_duration(duration)

            orba_data.append((16, start_ticks_lsb, start_ticks_msb, note, velocity, 100, dur_ticks_lsb, dur_ticks_msb))

    with open('note_blocks.txt', 'w') as file:
        for note_data in orba_data:
            file.write(','.join(map(str, note_data)) + '\n')

convert_to_orba_format('noteons.txt')
