def calculate_durations(notes_file):
    notes_data = []

    # Read notes data from file
    with open(notes_file, 'r') as file:
        for line in file:
            note, velocity, rel_time, abs_time = line.strip().split(',')
            notes_data.append((int(note), int(velocity), int(rel_time), int(abs_time)))

    # Calculate note durations
    durations_data = []
    for i in range(len(notes_data)):
        note, velocity, rel_time, abs_time = notes_data[i]
        duration = 0

        if velocity == 0:
            duration = 0
        else:
            for j in range(i + 1, len(notes_data)):
                next_note, next_velocity, next_rel_time, next_abs_time = notes_data[j]
                if next_note == note and next_velocity == 0:
                    duration = next_abs_time - abs_time
                    break

        durations_data.append((note, velocity, rel_time, abs_time, duration))

    # Write durations data to file
    with open('durations.txt', 'w') as file:
        for duration_data in durations_data:
            file.write(','.join(map(str, duration_data)) + '\n')

# Usage: Provide the path to notes.txt file
calculate_durations('notes.txt')
