def process_durations(durations_file):
    durations_data = []

    # Read durations data from file
    with open(durations_file, 'r') as file:
        for line in file:
            data = line.strip().split(',')
            durations_data.append((int(data[0]), int(data[1]), int(data[2]), int(data[3]), int(data[4])))

    # Update relative times based on note-offs
    for i in range(len(durations_data) - 1):
        if durations_data[i][1] == 0:  # Check for note-off
            durations_data[i + 1] = (durations_data[i + 1][0], durations_data[i + 1][1],
                                      durations_data[i + 1][2] + durations_data[i][2], durations_data[i + 1][3],
                                      durations_data[i + 1][4])

    # Filter out note-off messages
    noteons_data = [data for data in durations_data if data[1] != 0]

    # Write note-ons data to file
    with open('noteons.txt', 'w') as file:
        for noteon_data in noteons_data:
            file.write(','.join(map(str, noteon_data)) + '\n')

# Usage: Provide the path to durations.txt file
process_durations('durations.txt')
