import base64

def convert_to_note_string(raw_data):
    encoded_data = bytearray()
    for line in raw_data:
        note_bytes = [int(byte) % 256 for byte in line.strip().split(',')]
        encoded_data.extend(note_bytes)
    note_string = base64.b64encode(encoded_data).decode()
    return note_string


def main():
    # Read the raw note block data from the input file
    with open('note_blocks.txt', 'r') as file:
        raw_data = file.readlines()

    # Convert the raw note block data to note string
    note_string = convert_to_note_string(raw_data)

    # Write the note string to the output file
    with open('note_string.txt', 'w') as file:
        file.write(note_string)

    print("Conversion completed successfully!")


if __name__ == '__main__':
    main()
